package wholesale

import (
	"context"
	"git.oa00.com/supply-chain/service/client"
	"git.oa00.com/supply-chain/service/supply"
)

type category struct {
}

// All @Title 获取分类
func (c *category) All(ctx context.Context) (result []supply.CategoryItem, err error) {
	xClient, err := client.GetClient(c)
	if err != nil {
		return
	}
	err = xClient.Call(ctx, "All", 0, &result)
	return
}

// AllNoHidden @Title 获取显示的分类
func (c *category) AllNoHidden(ctx context.Context) (result []supply.CategoryItem, err error) {
	xClient, err := client.GetClient(c)
	if err != nil {
		return
	}
	err = xClient.Call(ctx, "AllNoHidden", 0, &result)
	return
}

// Add @Title 添加分类
func (c *category) Add(ctx context.Context, args supply.ArgsCategoryAdd) (err error) {
	reply := 0
	xClient, err := client.GetClient(c)
	if err != nil {
		return
	}
	return xClient.Call(ctx, "Add", args, &reply)
}

// Edit @Title 编辑分类
func (c *category) Edit(ctx context.Context, args supply.ArgsCategoryEdit) (err error) {
	reply := 0
	xClient, err := client.GetClient(c)
	if err != nil {
		return
	}
	return xClient.Call(ctx, "Edit", args, &reply)
}

// FindByIds @Title 三级分类获取
func (c *category) FindByIds(ctx context.Context, args supply.ArgsCategoryFindByIds) (result []supply.ThirdCategoryItem, err error) {
	xClient, err := client.GetClient(c)
	if err != nil {
		return
	}
	err = xClient.Call(ctx, "FindByIds", args, &result)
	return
}

// ChangeHidden @Title 切换隐藏状态
func (c *category) ChangeHidden(ctx context.Context, args supply.ArgsChangeHidden) error {
	xClient, err := client.GetClient(c)
	if err != nil {
		return err
	}
	reply := 0
	return xClient.Call(ctx, "ChangeHidden", args, &reply)
}
